Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlInputNumberSpinner

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIRangedNumberInput
                          org.richfaces.component.UIInputNumberSpinner
                              org.richfaces.component.html.HtmlInputNumberSpinner

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlInputNumberSpinner

extends UIInputNumberSpinner

Component-Type org.richfaces.inputNumberSpinner Component-Family org.richfaces.inputNumberSpinner Renderer-Type org.richfaces.InputNumberSpinnerRenderer Spinner component - A single line input field that lets the user select a number using the controls near the text field. User can change value using Up/Down keyboard keys. The keyboard Input in field if it isn't locked by manualInput attribute is possible. After arrow controls pressed - cursor can be moved in any way without loosing draged state.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlInputNumberSpinner()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAccesskey()` This attribute assigns an access key to an element.
`java.lang.String` | `getAlt()` For user agents that cannot display images, forms, or applets, this attribute specifies alternate text.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getInputClass()` Class attribute for text field Getter for inputClass
`int` | `getInputSize()` Attribute specifies the initial length of input in characters.
`java.lang.String` | `getInputStyle()` Style attribute for text field Getter for inputStyle
`java.lang.String` | `getLabel()` A localized user presentable name for this component.
`int` | `getMaxlength()` ${prop.xmlEncodedDescription} Getter for maxlength
`java.lang.String` | `getMaxValue()` Maximum value Getter for maxValue
`java.lang.String` | `getMinValue()` Minimum value Getter for minValue
`java.lang.String` | `getOnblur()` HTML: script expression; the element lost the focus Getter for onblur
`java.lang.String` | `getOnchange()` HTML: script expression; the element value was changed Getter for onchange
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOndownclick()` HTML: a script expression; a button "Down" is clicked Getter for ondownclick
`java.lang.String` | `getOnerror()` HTML: a script expression; event fires whenever an JavaScript error occurs Getter for onerror
`java.lang.String` | `getOnfocus()` HTML: script expression; the element got the focus Getter for onfocus
`java.lang.String` | `getOninputclick()` HTML: a script expression; a pointer button is clicked Getter for oninputclick
`java.lang.String` | `getOninputdblclick()` HTML: a script expression; a pointer button is double-clicked Getter for oninputdblclick
`java.lang.String` | `getOninputkeydown()` HTML: a script expression; a key is pressed down Getter for oninputkeydown
`java.lang.String` | `getOninputkeypress()` HTML: a script expression; a key is pressed and released Getter for oninputkeypress
`java.lang.String` | `getOninputkeyup()` HTML: a script expression; a key is released Getter for oninputkeyup
`java.lang.String` | `getOninputmousedown()` HTML: script expression; a pointer button is pressed down Getter for oninputmousedown
`java.lang.String` | `getOninputmousemove()` HTML: a script expression; a pointer is moved within Getter for oninputmousemove
`java.lang.String` | `getOninputmouseout()` HTML: a script expression; a pointer is moved away Getter for oninputmouseout
`java.lang.String` | `getOninputmouseover()` HTML: a script expression; a pointer is moved onto Getter for oninputmouseover
`java.lang.String` | `getOninputmouseup()` HTML: script expression; a pointer button is released Getter for oninputmouseup
`java.lang.String` | `getOnkeydown()` ${prop.xmlEncodedDescription} Getter for onkeydown
`java.lang.String` | `getOnkeypress()` ${prop.xmlEncodedDescription} Getter for onkeypress
`java.lang.String` | `getOnkeyup()` ${prop.xmlEncodedDescription} Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnselect()` HTML: script expression; The onselect event occurs when a user selects some text in a text field.
`java.lang.String` | `getOnupclick()` HTML: a script expression; a button "Up" is clicked Getter for onupclick
`int` | `getSize()` ${prop.xmlEncodedDescription} Getter for size
`java.lang.String` | `getStep()` Parameter that determines the step between nearest values while using controls Getter for step
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTabindex()` This attribute specifies the position of the current element in the tabbing order for the current document.
`boolean` | `isCycled()` If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing.
`boolean` | `isDisabled()` When set for a form control, this boolean attribute disables the control for user input Getter for disabled
`boolean` | `isEnableManualInput()` if "false" user's input to the text field using keyboard will be locked Getter for enableManualInput
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String __accesskey)` This attribute assigns an access key to an element.
`void` | `setAlt(java.lang.String __alt)` For user agents that cannot display images, forms, or applets, this attribute specifies alternate text.
`void` | `setCycled(boolean __cycled)` If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing.
`void` | `setDisabled(boolean __disabled)` When set for a form control, this boolean attribute disables the control for user input Setter for disabled
`void` | `setEnableManualInput(boolean __enableManualInput)` if "false" user's input to the text field using keyboard will be locked Setter for enableManualInput
`void` | `setInputClass(java.lang.String __inputClass)` Class attribute for text field Setter for inputClass
`void` | `setInputSize(int __inputSize)` Attribute specifies the initial length of input in characters.
`void` | `setInputStyle(java.lang.String __inputStyle)` Style attribute for text field Setter for inputStyle
`void` | `setLabel(java.lang.String __label)` A localized user presentable name for this component.
`void` | `setMaxlength(int __maxlength)` ${prop.xmlEncodedDescription} Setter for maxlength
`void` | `setMaxValue(java.lang.String __maxValue)` Maximum value Setter for maxValue
`void` | `setMinValue(java.lang.String __minValue)` Minimum value Setter for minValue
`void` | `setOnblur(java.lang.String __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(java.lang.String __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOndownclick(java.lang.String __ondownclick)` HTML: a script expression; a button "Down" is clicked Setter for ondownclick
`void` | `setOnerror(java.lang.String __onerror)` HTML: a script expression; event fires whenever an JavaScript error occurs Setter for onerror
`void` | `setOnfocus(java.lang.String __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOninputclick(java.lang.String __oninputclick)` HTML: a script expression; a pointer button is clicked Setter for oninputclick
`void` | `setOninputdblclick(java.lang.String __oninputdblclick)` HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick
`void` | `setOninputkeydown(java.lang.String __oninputkeydown)` HTML: a script expression; a key is pressed down Setter for oninputkeydown
`void` | `setOninputkeypress(java.lang.String __oninputkeypress)` HTML: a script expression; a key is pressed and released Setter for oninputkeypress
`void` | `setOninputkeyup(java.lang.String __oninputkeyup)` HTML: a script expression; a key is released Setter for oninputkeyup
`void` | `setOninputmousedown(java.lang.String __oninputmousedown)` HTML: script expression; a pointer button is pressed down Setter for oninputmousedown
`void` | `setOninputmousemove(java.lang.String __oninputmousemove)` HTML: a script expression; a pointer is moved within Setter for oninputmousemove
`void` | `setOninputmouseout(java.lang.String __oninputmouseout)` HTML: a script expression; a pointer is moved away Setter for oninputmouseout
`void` | `setOninputmouseover(java.lang.String __oninputmouseover)` HTML: a script expression; a pointer is moved onto Setter for oninputmouseover
`void` | `setOninputmouseup(java.lang.String __oninputmouseup)` HTML: script expression; a pointer button is released Setter for oninputmouseup
`void` | `setOnkeydown(java.lang.String __onkeydown)` ${prop.xmlEncodedDescription} Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` ${prop.xmlEncodedDescription} Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` ${prop.xmlEncodedDescription} Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnselect(java.lang.String __onselect)` HTML: script expression; The onselect event occurs when a user selects some text in a text field.
`void` | `setOnupclick(java.lang.String __onupclick)` HTML: a script expression; a button "Up" is clicked Setter for onupclick
`void` | `setSize(int __size)` ${prop.xmlEncodedDescription} Setter for size
`void` | `setStep(java.lang.String __step)` Parameter that determines the step between nearest values while using controls Setter for step
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTabindex(java.lang.String __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.

Methods inherited from class org.richfaces.component.UIRangedNumberInput
`decode, validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, broadcast, compareValues, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlInputNumberSpinner

    public HtmlInputNumberSpinner()

  Constructor to init default renderers

Method Detail

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### getAccesskey

    public java.lang.String getAccesskey()

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Getter for accesskey

  Returns:
    accesskey value from local variable or value bindings

### setAlt

    public void setAlt(java.lang.String __alt)

  For user agents that cannot display images, forms, or applets, this attribute specifies alternate text. The language of the alternate text is specified by the lang attribute Setter for alt

  Parameters:
    `alt` - - new value

### getAlt

    public java.lang.String getAlt()

  For user agents that cannot display images, forms, or applets, this attribute specifies alternate text. The language of the alternate text is specified by the lang attribute Getter for alt

  Returns:
    alt value from local variable or value bindings

### setCycled

    public void setCycled(boolean __cycled)

  If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing. In other case possibilities of next increasing (or decreasing) will be locked Setter for cycled

  Parameters:
    `cycled` - - new value

### isCycled

    public boolean isCycled()

  If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing. In other case possibilities of next increasing (or decreasing) will be locked Getter for cycled

  Returns:
    cycled value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  When set for a form control, this boolean attribute disables the control for user input Setter for disabled

  Specified by:
    `setDisabled` in class `org.richfaces.component.UIRangedNumberInput`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  When set for a form control, this boolean attribute disables the control for user input Getter for disabled

  Specified by:
    `isDisabled` in class `org.richfaces.component.UIRangedNumberInput`
  Returns:
    disabled value from local variable or value bindings

### setEnableManualInput

    public void setEnableManualInput(boolean __enableManualInput)

  if "false" user's input to the text field using keyboard will be locked Setter for enableManualInput

  Parameters:
    `enableManualInput` - - new value

### isEnableManualInput

    public boolean isEnableManualInput()

  if "false" user's input to the text field using keyboard will be locked Getter for enableManualInput

  Returns:
    enableManualInput value from local variable or value bindings

### setInputClass

    public void setInputClass(java.lang.String __inputClass)

  Class attribute for text field Setter for inputClass

  Parameters:
    `inputClass` - - new value

### getInputClass

    public java.lang.String getInputClass()

  Class attribute for text field Getter for inputClass

  Returns:
    inputClass value from local variable or value bindings

### setInputSize

    public void setInputSize(int __inputSize)

  Attribute specifies the initial length of input in characters. Default value is 10 Setter for inputSize

  Parameters:
    `inputSize` - - new value

### getInputSize

    public int getInputSize()

  Attribute specifies the initial length of input in characters. Default value is 10 Getter for inputSize

  Returns:
    inputSize value from local variable or value bindings

### setInputStyle

    public void setInputStyle(java.lang.String __inputStyle)

  Style attribute for text field Setter for inputStyle

  Specified by:
    `setInputStyle` in class `UIInputNumberSpinner`
  Parameters:
    `inputStyle` - - new value

### getInputStyle

    public java.lang.String getInputStyle()

  Style attribute for text field Getter for inputStyle

  Specified by:
    `getInputStyle` in class `UIInputNumberSpinner`
  Returns:
    inputStyle value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  A localized user presentable name for this component. Getter for label

  Returns:
    label value from local variable or value bindings

### setMaxValue

    public void setMaxValue(java.lang.String __maxValue)

  Maximum value Setter for maxValue

  Specified by:
    `setMaxValue` in class `org.richfaces.component.UIRangedNumberInput`
  Parameters:
    `maxValue` - - new value

### getMaxValue

    public java.lang.String getMaxValue()

  Maximum value Getter for maxValue

  Specified by:
    `getMaxValue` in class `org.richfaces.component.UIRangedNumberInput`
  Returns:
    maxValue value from local variable or value bindings

### setMaxlength

    public void setMaxlength(int __maxlength)

  ${prop.xmlEncodedDescription} Setter for maxlength

  Parameters:
    `maxlength` - - new value

### getMaxlength

    public int getMaxlength()

  ${prop.xmlEncodedDescription} Getter for maxlength

  Returns:
    maxlength value from local variable or value bindings

### setMinValue

    public void setMinValue(java.lang.String __minValue)

  Minimum value Setter for minValue

  Specified by:
    `setMinValue` in class `org.richfaces.component.UIRangedNumberInput`
  Parameters:
    `minValue` - - new value

### getMinValue

    public java.lang.String getMinValue()

  Minimum value Getter for minValue

  Specified by:
    `getMinValue` in class `org.richfaces.component.UIRangedNumberInput`
  Returns:
    minValue value from local variable or value bindings

### setOnblur

    public void setOnblur(java.lang.String __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### getOnblur

    public java.lang.String getOnblur()

  HTML: script expression; the element lost the focus Getter for onblur

  Returns:
    onblur value from local variable or value bindings

### setOnchange

    public void setOnchange(java.lang.String __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### getOnchange

    public java.lang.String getOnchange()

  HTML: script expression; the element value was changed Getter for onchange

  Returns:
    onchange value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOndownclick

    public void setOndownclick(java.lang.String __ondownclick)

  HTML: a script expression; a button "Down" is clicked Setter for ondownclick

  Parameters:
    `ondownclick` - - new value

### getOndownclick

    public java.lang.String getOndownclick()

  HTML: a script expression; a button "Down" is clicked Getter for ondownclick

  Returns:
    ondownclick value from local variable or value bindings

### setOnerror

    public void setOnerror(java.lang.String __onerror)

  HTML: a script expression; event fires whenever an JavaScript error occurs Setter for onerror

  Parameters:
    `onerror` - - new value

### getOnerror

    public java.lang.String getOnerror()

  HTML: a script expression; event fires whenever an JavaScript error occurs Getter for onerror

  Returns:
    onerror value from local variable or value bindings

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### getOnfocus

    public java.lang.String getOnfocus()

  HTML: script expression; the element got the focus Getter for onfocus

  Returns:
    onfocus value from local variable or value bindings

### setOninputclick

    public void setOninputclick(java.lang.String __oninputclick)

  HTML: a script expression; a pointer button is clicked Setter for oninputclick

  Parameters:
    `oninputclick` - - new value

### getOninputclick

    public java.lang.String getOninputclick()

  HTML: a script expression; a pointer button is clicked Getter for oninputclick

  Returns:
    oninputclick value from local variable or value bindings

### setOninputdblclick

    public void setOninputdblclick(java.lang.String __oninputdblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for oninputdblclick

  Parameters:
    `oninputdblclick` - - new value

### getOninputdblclick

    public java.lang.String getOninputdblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for oninputdblclick

  Returns:
    oninputdblclick value from local variable or value bindings

### setOninputkeydown

    public void setOninputkeydown(java.lang.String __oninputkeydown)

  HTML: a script expression; a key is pressed down Setter for oninputkeydown

  Parameters:
    `oninputkeydown` - - new value

### getOninputkeydown

    public java.lang.String getOninputkeydown()

  HTML: a script expression; a key is pressed down Getter for oninputkeydown

  Returns:
    oninputkeydown value from local variable or value bindings

### setOninputkeypress

    public void setOninputkeypress(java.lang.String __oninputkeypress)

  HTML: a script expression; a key is pressed and released Setter for oninputkeypress

  Parameters:
    `oninputkeypress` - - new value

### getOninputkeypress

    public java.lang.String getOninputkeypress()

  HTML: a script expression; a key is pressed and released Getter for oninputkeypress

  Returns:
    oninputkeypress value from local variable or value bindings

### setOninputkeyup

    public void setOninputkeyup(java.lang.String __oninputkeyup)

  HTML: a script expression; a key is released Setter for oninputkeyup

  Parameters:
    `oninputkeyup` - - new value

### getOninputkeyup

    public java.lang.String getOninputkeyup()

  HTML: a script expression; a key is released Getter for oninputkeyup

  Returns:
    oninputkeyup value from local variable or value bindings

### setOninputmousedown

    public void setOninputmousedown(java.lang.String __oninputmousedown)

  HTML: script expression; a pointer button is pressed down Setter for oninputmousedown

  Parameters:
    `oninputmousedown` - - new value

### getOninputmousedown

    public java.lang.String getOninputmousedown()

  HTML: script expression; a pointer button is pressed down Getter for oninputmousedown

  Returns:
    oninputmousedown value from local variable or value bindings

### setOninputmousemove

    public void setOninputmousemove(java.lang.String __oninputmousemove)

  HTML: a script expression; a pointer is moved within Setter for oninputmousemove

  Parameters:
    `oninputmousemove` - - new value

### getOninputmousemove

    public java.lang.String getOninputmousemove()

  HTML: a script expression; a pointer is moved within Getter for oninputmousemove

  Returns:
    oninputmousemove value from local variable or value bindings

### setOninputmouseout

    public void setOninputmouseout(java.lang.String __oninputmouseout)

  HTML: a script expression; a pointer is moved away Setter for oninputmouseout

  Parameters:
    `oninputmouseout` - - new value

### getOninputmouseout

    public java.lang.String getOninputmouseout()

  HTML: a script expression; a pointer is moved away Getter for oninputmouseout

  Returns:
    oninputmouseout value from local variable or value bindings

### setOninputmouseover

    public void setOninputmouseover(java.lang.String __oninputmouseover)

  HTML: a script expression; a pointer is moved onto Setter for oninputmouseover

  Parameters:
    `oninputmouseover` - - new value

### getOninputmouseover

    public java.lang.String getOninputmouseover()

  HTML: a script expression; a pointer is moved onto Getter for oninputmouseover

  Returns:
    oninputmouseover value from local variable or value bindings

### setOninputmouseup

    public void setOninputmouseup(java.lang.String __oninputmouseup)

  HTML: script expression; a pointer button is released Setter for oninputmouseup

  Parameters:
    `oninputmouseup` - - new value

### getOninputmouseup

    public java.lang.String getOninputmouseup()

  HTML: script expression; a pointer button is released Getter for oninputmouseup

  Returns:
    oninputmouseup value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  ${prop.xmlEncodedDescription} Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  ${prop.xmlEncodedDescription} Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  ${prop.xmlEncodedDescription} Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  ${prop.xmlEncodedDescription} Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  ${prop.xmlEncodedDescription} Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  ${prop.xmlEncodedDescription} Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setOnselect

    public void setOnselect(java.lang.String __onselect)

  HTML: script expression; The onselect event occurs when a user selects some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Setter for onselect

  Parameters:
    `onselect` - - new value

### getOnselect

    public java.lang.String getOnselect()

  HTML: script expression; The onselect event occurs when a user selects some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Getter for onselect

  Returns:
    onselect value from local variable or value bindings

### setOnupclick

    public void setOnupclick(java.lang.String __onupclick)

  HTML: a script expression; a button "Up" is clicked Setter for onupclick

  Parameters:
    `onupclick` - - new value

### getOnupclick

    public java.lang.String getOnupclick()

  HTML: a script expression; a button "Up" is clicked Getter for onupclick

  Returns:
    onupclick value from local variable or value bindings

### setSize

    public void setSize(int __size)

  ${prop.xmlEncodedDescription} Setter for size

  Parameters:
    `size` - - new value

### getSize

    public int getSize()

  ${prop.xmlEncodedDescription} Getter for size

  Returns:
    size value from local variable or value bindings

### setStep

    public void setStep(java.lang.String __step)

  Parameter that determines the step between nearest values while using controls Setter for step

  Parameters:
    `step` - - new value

### getStep

    public java.lang.String getStep()

  Parameter that determines the step between nearest values while using controls Getter for step

  Returns:
    step value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### getTabindex

    public java.lang.String getTabindex()

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Getter for tabindex

  Returns:
    tabindex value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.